function sp = excludeunits (sp, units)

%@SPIX/EXCLUDEUNITS
%
%   SP = EXCLUDEUNITS(SP,UNITS)  excludes UNITS from SP for subsequent
%   analyses until restored; UNITS can be a unit label, a set of unit
%   labels (in a cell array of strings), one of 'none' 'all' 'first'
%   'last', or a numeric array specifying the ordinal numbers of the
%   units to be restored. No errors or warnings are issued if any or
%   all of the requested units were already excluded.
%
%Last modified: 21 Aug 03

uni = parsegrouping (sp.info, units);
disp ('#######################################');
disp (sprintf ('%4d units successfully excluded', length(intersect(uni,sp.inclunits))));
sp.inclunits = setdiff (sp.inclunits, uni);
dispinclunits(sp)
