function sp = restorekeys (sp, keys)

%@SPIX/RESTOREKEYS
%
%   SP = RESTOREKEYS(SP,KEYS)  restores previously excluded KEYS in
%   SP; KEYS can be a key label, a set of key labels (in a cell array
%   of strings), one of 'none' 'all' 'first' 'last', or a numeric
%   array specifying the ordinal numbers of the keys to be restored.
%   No errors or warnings are issued if any or all of the requested
%   keys were already included.
%
%Last modified: 10 Aug 03

exk = parsegrouping (sp.k, keys);
sp.inkeys = union (sp.inkeys, exk);
disp ('the following keys have been restored:');
for ke=exk
   s = sprintf ('%4d: %s', ke, sp.k(ke).label);
   disp (s);
end
s = sprintf ('%d of %d', length(sp.inkeys), sp.k.len);