function sp = selectkeys (sp, keys)

%@SPIX/SELECTKEYS
%
%   SP = SELECTKEYS(SP,KEYS)  selects KEYS from SP for use in
%   subsequent analyses; in other words, all keys in SP that are not
%   specified in KEYS will be excluded. KEYS can be a key label, a set
%   of key labels (in a cell array of strings), one of 'none' 'all'
%   'first' 'last', or a numeric array specifying the ordinal numbers
%   of the keys to be selected.
%
%Last modified: 15 Jan 04

% since 10 Aug 03:
% 15 Jan 04: bug: inkeys replaces inclunits

sp.inkeys = parsegrouping (sp.k, keys);