function as = annsetup (factors)

%@ANNSETUP/ANNSETUP   the @annsetup object class provides a handy way to
%   prepare data for input into Matlab Stats Toolbox's ANOVAN function.
%   ANOVAN performs n-way anovas and requires properly formatted data and
%   grouping matrices. If your raw data is available in vectors of
%   observations associated with known levels for each of the factors, then
%   @annsetup will save you a few lines of clunky code.
%
%Constructor's syntax: AS = ANNSETUP(N)
%   creates an @annsetup object and assigns it to AS. N is the number of
%   factors in the analysis to be performed.
%
%Last modified: 2 Aug 03

as.D = [];
as.N = factors;
as.G = repmat ({[]}, factors, 1);
as = class (as, 'annsetup');
