function mat2txt (filename, data, rowhead, colhead)

% writes a spreadsheet to an ASCII file easily readable from Excel
% all kinds of checks are still missing
%
% Last modified: 6 Oct 98

if nargin<2 or nargin>4
   error ('wrong number of arguments')
end

headflag=0;

[f, msg] = fopen ([filename, '.txt'], 'w');
if f == -1
   error (msg);
end

if class (data) == 'double'
   switch nargin
   case 2
      rowhead=[];
      colhead=[];
   case 3
      colhead=[];
   end
   matrix_plus_headers (f, data, rowhead, colhead);
   
elseif class (data) == 'struct'
   structure (f, data);
else
   error ('data should be either a double matrix or a structure');
end
fclose (f);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function matrix_plus_header (f, data, rowhead, colhead)

if ~isempty (colhead)
   [r,c]=size (colhead);
   for i=1:r
      fprintf (f, '"%s"\t', colhead{i,:});
      fprintf (f, '\n');
   end
end

[r,c]=size (data);
if ~isempty (rowhead)
   [rh, rc]=size (rowhead);
   headflag=1;
end

for i=1:r
   if headflag
      fprintf (f, '"%s"\t', rowhead {i, :});
   end
   fprintf (f, '%f\t', data (i, :));
   fprintf (f, '\n');
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function structure (f, data)

fld = fieldnames (data);
for i=1:length (fld)
   fprintf (f, '"%s"\t', fld{i});
   cla {i} = eval (['class (data (1).' fld{i} ')']);
end
fprintf (f, '\n');

for i=1:length (data)
   for j=1:length (fld)
      ii = num2str (i);
      n = eval (['data (' ii ').' fld{j}]);
      switch class (n)
      case 'char'
         if isempty (n)
            fprintf (f, '\t');
         else
            fprintf (f, '"%s"\t', n);
         end
      case 'double'
         if isempty (n)
            fprintf (f, '0\t');
         else
            fprintf (f, '%f\t', n);
         end
      otherwise
         error ('char & double only');
      end
   end
   fprintf (f, '\n');
end
